// more functions, to be examined...
// BRIEF_SetCameraSwoop
// BRIEF_GotoPointSeconds
// BRIEF_PlayBitmapAnimation
// BRIEF_CAM_TrackPos
// MS_RunICIS
// GF_RunBriefingComm
// GF_HotspotSetDescription
// SF_GetMinMinesAroundObj
// SF_AddHitPoints
// SF_NumBulletsLeft
// SF_SetViewChangeable
// AI_EngageSquidBooster
// SF_CAM_SetPosObj
// SF_CAM_TrackPivot
// SF_CAM_SetMotionObj
// SF_CAM_SetViewedTargetSeconds

unit WCP;

// adds a ship to the caller's attack, defend or ignore list the second
// parameter is unknown but should be set to 1
function AI_AddToAttackList(tag, unknown); wcp;
function AI_AddToDefendList(tag, unknown); wcp;
function AI_AddToIgnoreList(tag, unknown); wcp;

// adds the caller to the wing of the ship given in tag
function AI_AddToWing(tag); wcp;

// causes the caller to attack the ships on the attack list and to ignore
// the ones on the ignore list
function AI_Attack; wcp;
function AI_AttackEnemies; wcp;

// the caller won't attack anything if state is true
function AI_AttackNothing(state); wcp;

function AI_CapshipDeathCutscene(num); wcp;

// clears the caller's attack, defend or ignore list
function AI_ClearAttackList; wcp;
function AI_ClearDefendList; wcp;
function AI_ClearIgnoreList; wcp;

// counts torpedos and returns the result
function AI_CountAllTorpedos; wcp;

// makes the caller dock to a capship
function AI_DockTo(capship, docking_place, u1, time, u2); wcp;

// engages the booster of the caller. Use only if the caller is equipped
// with a booster.
function AI_EngageWaspBooster; wcp;

function AI_FaceObject(tag); wcp;
function AI_FaceObjRelFrame(tag, x, y, z); wcp;
function AI_FaceObjRelWorld(tag, x, y, z); wcp;
function AI_ForceStingraySpiralAttack(stingray_tag, target_tag); wcp;

// causes the AI to fire a missile of type mis_id
function AI_FireMissile(mis_id); wcp;

function AI_GotoObjRange(tag, range); wcp;
function AI_GotoObjRelFrame(tag, x, y, z); wcp;
function AI_GotoObjRelWorld(tag, x, y, z); wcp;

function AI_IgnoreCollisions(state); wcp;
function AI_MuteComms; wcp;
function AI_PLR_ControlAssume; wcp;
function AI_PLR_ControlResume; wcp;
function AI_PLR_GetMinedObjectCount; wcp;
function AI_PLR_LockTarget; wcp;
function AI_PLR_SetLandingInfo(u1, u2, u3, u4); wcp;
function AI_PLR_SetMinedObjectInfo(tag, range); wcp;
function AI_PLR_UnlockTarget; wcp;
function AI_RefuelCutscene(ship, refueler); wcp;
function AI_RemoveFromAttackList(tag); wcp;
function AI_RemoveFromDefendList(tag); wcp;
function AI_RemoveFromIgnoreList(tag); wcp;
function AI_RemoveFromWing; wcp;
function AI_ReplenishMissilesAndFuel; wcp;
function AI_ReplenishMissilesAndFuelObj(tag); wcp;
function AI_ResumeComms; wcp;
function AI_SendComm(num); wcp;
function AI_SendSpecialComm(series, msg); wcp;
function AI_SendSpecialCommFrom(series, msg, pilot); wcp;
function AI_SetAutopilotData(x, y, z); wcp;
function AI_SetThrottle(throttle); wcp;
function AI_WaitMilliseconds(ms); wcp;
function AI_WaitSeconds(sec); wcp;
function AI_WaitUntilActive; wcp;

function BRIEF_Activate; wcp;
function BRIEF_AttachToObj(tag, x, y, z); wcp;
function BRIEF_CAM_SetActive(tag); wcp;
function BRIEF_CAM_SetFollowObj(tag, x, y, z); wcp;
function BRIEF_CAM_SetMotion(u1, u2, u3, u4, u5, u6, u7); wcp;
function BRIEF_CAM_SetMotionObj(tag, time); wcp;
function BRIEF_CAM_SetPos(x, y, z); wcp;
function BRIEF_CAM_SetPosObj(tag); wcp;
function BRIEF_CAM_TrackObj(tag); wcp;
function BRIEF_CameraSetPos(x, y, z); wcp;
function BRIEF_ControlCamera; wcp;
function BRIEF_Deactivate; wcp;
function BRIEF_DetachFromObj(tag); wcp;
function BRIEF_DisplayName(name); wcp;
function BRIEF_DisplayNamePos(u1, u2);  wcp;
function BRIEF_Exit; wcp;
function BRIEF_Explode; wcp;
function BRIEF_FaceObject(tag); wcp;
function BRIEF_GetXObj(tag); wcp;
function BRIEF_GetYObj(tag); wcp;
function BRIEF_GetZObj(tag); wcp;
function BRIEF_GotoObjRelFrameSeconds(tag, x, y, z, sec, u1); wcp;
function BRIEF_GotoObjRelWorldSeconds(tag, x, y, z, sec, u1); wcp;
function BRIEF_MoveObjSeconds(tag, time); wcp;
function BRIEF_MoveObjMilliseconds(tag, ms); wcp;
function BRIEF_ReleaseCamera; wcp;
function BRIEF_SetAppearance(num); wcp;
function BRIEF_SetCameraMode(mode); wcp;
function BRIEF_SetCameraPos(x, y, z); wcp;
function BRIEF_SetCameraPosObj(tag); wcp;
function BRIEF_SetColor(r, g, b); wcp;
function BRIEF_SetSize(size); wcp;
function BRIEF_SetZoomMilliseconds(zoom, ms); wcp;
function BRIEF_SetZoomSeconds(zoom, sec); wcp;
function BRIEF_Voiceover(series, line, time); wcp;
function BRIEF_WaitMilliseconds(ms); wcp;
function BRIEF_WaitSeconds(sec); wcp;

function CAM_SetMoveTargetSeconds(tag, u1, u2, u3, u4, u5, u6); wcp;
function CAM_FollowObjectSeconds(tag, u1, u2, u3, u4, u5, u6); wcp;
function CAM_SetViewedTargetSeconds(tag, u1, u2, u3, u4, u5, u6); wcp;

function GF_Exit; wcp;
function GF_ExitGame; wcp;
function GF_GetRoomVar(variable); wcp;
function GF_HotspotCurrentFrame; wcp;
function GF_HotspotDisable; wcp;
function GF_HotspotEnable; wcp;
function GF_LoadRoom(num); wcp;
function GF_QuickLoad; wcp;
function GF_QuickSave; wcp;
function GF_RunBriefingComm(series, comm); wcp;
function GF_RunMainTerminal; wcp;
function GF_RunKillboard; wcp;
function GF_RunObjectViewer; wcp;
function GF_RunStellarMap; wcp;
function GF_RunTrainingSimulator; wcp;
function GF_SetRoomVar(variation, TrueorFalse); wcp;

function NAV_ActivateSelf; wcp;
function NAV_DeactivateSelf; wcp;
function NAV_CreateShip(ship, pilot, targstr, main, death, x, y, z); wcp;
function NAV_CreateShipLaunch(ship, pilot, targstr, main, death, tag); wcp;
function NAV_HideNav(num); wcp;
function NAV_HideSelf; wcp;
function NAV_SetEjectSequence(num); wcp;
function NAV_SetInterceptPlayer(u1); wcp;
function NAV_SetInterceptPlayerNav(u1, u2); wcp;
function NAV_SetPlayerNav(num); wcp;
function NAV_ShowNav(num); wcp;
function NAV_ShowSelf; wcp;
function NAV_WithinSphere(tag); wcp;

function MCP_EscapeMenu; wcp;
function MCP_Exit; wcp;
function MCP_GetSelectedShip; wcp;
function MCP_GetCallsign; wcp;
function MCP_RunMission(num); wcp;
function MCP_ShipSelector(ship1, ship2); wcp;
function MCP_ShowSplashScreen(num, sec); wcp;
function MCP_WinningEndgame; wcp;

function MS_ChangePilotSquadron(pilot_id, squad_id); wcp;
function MS_Exit; wcp;
function MS_DeathMovieQueueAdd(num); wcp;
function MS_DeathMovieQueueClear; wcp;
function MS_GenericTakeoff(tag); wcp;
function MS_GetPlayerHitPoints; wcp;
function MS_MissionSuccess; wcp;
function MS_PreloadSoundEffect(num); wcp;
function MS_RunBriefing; wcp;
function MS_RunBriefingComm(series, message); wcp;
function MS_RunDebriefing; wcp;
function MS_RunGameflow(u1); wcp;
function MS_RunSpaceflight(u1); wcp;
function MS_SaveAutosaveEndOfEpisode; wcp;
function MS_SetEjectSequence(id); wcp;
function MS_SetPilotDead(pilot, val); wcp;
function MS_ShipSelector(shipid1, shipid2); wcp;
function MS_ShowTakeoffSequence(tag); wcp;

function SF_ActivateObject(tag, mode)   ; wcp;
function SF_ActivateSelf(mode); wcp;
function SF_AmIWingLeader; wcp;
function SF_AutopilotDisable; wcp;
function SF_AutopilotEnable; wcp;
function SF_AutopilotResumeNormal; wcp;
function SF_BindToActionSphere(num); wcp;
function SF_CAM_HideDust; wcp;
function SF_CAM_SetActive(tag); wcp;
function SF_CAM_SetFlyBySound(snd); wcp;
function SF_CAM_SetFollowObj(tag, x, y, z); wcp;
function SF_CAM_SetMotion(x, y, z, x2, y2, z2, time); wcp;
function SF_CAM_SetPos(x, y, z); wcp;
function SF_CAM_ShowDust; wcp;
function SF_CAM_TrackNothing; wcp;
function SF_CAM_TrackObj(tag); wcp;
function SF_CAM_TrackPivot (x, y, z, x2, y2, z2, time); wcp;
function SF_CAM_TrackPivotObjects(tag1, tag2, time); wcp;
function SF_CAM_TrackPos(x, y, z); wcp;
function SF_ClearPlayerShotAlignmentFlags; wcp;
function SF_CountMissilesAroundObj(u1, u2, u3); wcp;
function SF_DeactivateObject(tag, mode); wcp;
function SF_DeactivateSelf(mode); wcp;
function SF_DeathMovieQueueAdd(num); wcp;
function SF_DeathMovieQueueClear; wcp;
function SF_DestroyObject(tag); wcp;
function SF_DestroySelf; wcp;
function SF_Exit; wcp;
function SF_ExitEndGame(mode); wcp;
function SF_ExitLandObj(tag, capship, u1); wcp;
function SF_ExitLandObjEscort(tag, capship_tag, ship1_id, ship2_id, series, comm, u1); wcp;
function SF_ForceImmediateLanding(u1); wcp;
function SF_GetActiveStatus(tag); wcp;
function SF_GetDistance(tag); wcp;
function SF_GetHitPoints; wcp;
function SF_GetNumComponentParts(part_id); wcp;
function SF_GetNumComponentPartsObj(tag, part_id); wcp;
function SF_GetObjectFlag(tag, flag); wcp;
function SF_GetRadiusObject(tag); wcp;
function SF_GetVelocityObject(tag); wcp;
function SF_GetX; wcp;
function SF_GetY; wcp;
function SF_GetZ; wcp;
function SF_GetXObj(tag); wcp;
function SF_GetYObj(tag); wcp;
function SF_GetZObj(tag); wcp;
function SF_IsActive(tag); wcp;
function SF_IsIdentified(tag); wcp;
function SF_IsPlayerTraitor; wcp;
function SF_KilledBy; wcp;
function SF_NumMissilesLeft(miss_type); wcp;
function SF_ObjectiveDecrementCount(id); wcp;
function SF_ObjectiveDecrementTotal(id); wcp;
function SF_ObjectiveDecrementTotalNeededForSuccess(id); wcp;
function SF_ObjectiveDisable(id); wcp;
function SF_ObjectiveEnable(id); wcp;
function SF_ObjectiveIncrementCount(id); wcp;
function SF_ObjectiveIncrementTotal(id); wcp;
function SF_ObjectiveIncrementTotalNeededForSuccess(id); wcp;
function SF_ObjectiveSetComplete(id); wcp;
function SF_ObjectiveSetCount(id, val); wcp;
function SF_ObjectiveSetFailure(id); wcp;
function SF_ObjectiveSetTotal(id, val); wcp;
function SF_ObjectiveSetTotalNeededForSuccess(id, val); wcp;
function SF_PlayerSwitchToCam(tag, mode); wcp;
function SF_PrintText(num); wcp;
function SF_SaveObjectState(value); wcp;
function SF_SetActiveCamera(tag); wcp;
function SF_SetBaseShip(tag); wcp;
function SF_SetChildObjectVulnerable(tag, child_obj, state); wcp;
function SF_SetContents(SFSTR); wcp;
function SF_SetHitPoints(val); wcp;
function SF_SetMissionFailure; wcp;
function SF_SetMissionSuccess; wcp;
function SF_SetObjectFlag(flag, value); wcp;
function SF_SetOtherObjectFlag(tag, flag, value); wcp;
function SF_SetPilotImmortal(pilot, u1); wcp;
function SF_SetWorldPosition(x, y, z); wcp;
function SF_SubHitPoints(val); wcp;
function SF_TestPlayerShotAlignmentFlag(align); wcp;
function SF_WithinRangeObj(tag1, tag2, range); wcp;
function SF_WithinRangeObjObj(tag1, tag2, u1, range); wcp;

function SYS_Clock; wcp;
function SYS_EVENT_Disable(u1); wcp;
function SYS_EVENT_EnableAll; wcp;
function SYS_EVENT_Set(u1); wcp;
function SYS_Fatal(u1); wcp;
function SYS_Message(num); wcp;
function SYS_PlayMovie(num); wcp;
function SYS_PlaySFX(num); wcp;
function SYS_Random(range); wcp;
function SYS_TimerSet(value); wcp;
function SYS_TimerGet; wcp;
function SYS_TimerZero; wcp;
